package com.dcit.authority.service;

import java.util.List;

import com.dcit.authority.model.County;
import com.dcit.authority.model.CountyExample;

public interface CountyService {
	
	int countByExample(CountyExample example);

    int deleteByExample(CountyExample example);

    int deleteByPrimaryKey(String id);

    int insert(County record);

    int insertSelective(County record);

    List<County> selectByExample(CountyExample example);

    County selectByPrimaryKey(String id);

    int updateByExampleSelective(County record, CountyExample example);

    int updateByExample(County record, CountyExample example);

    int updateByPrimaryKeySelective(County record);

    int updateByPrimaryKey(County record);

}
